$(function(){

  
  $('.count').each(function () {
   $(this).prop('Counter',0).animate({
    Counter: $(this).text()
  }, {
    duration: 1000,
    easing: 'swing',
    step: function (now) {
      $(this).text(Math.ceil(now*100)/100);
    }
  });
 });

  $('.count1').each(function () {
   $(this).prop('Counter',0).animate({
    Counter: $(this).text()
  }, {
    duration: 1000,
    easing: 'swing',
    step: function (now) {
      $(this).text(Math.ceil(now));
    }
  });
 });

  $('.psys-acept-box > label').change(function(event) {
    $('.psys-acept-box > label').removeClass('active');
    $(this).addClass('active');
  });


  $('label.psys-withdraw').change(function(event) {
    $('label.psys-withdraw').removeClass('active');
    $(this).addClass('active');
  });


  $.getJSON("https://api.cryptonator.com/api/full/btc-usd",
    function(data){
      var arr = [ 'Kraken', 'Bitstamp', 'Bittrex', 'Cex.io' ];
      $.each(data.ticker.markets, function(index, val) {
        if (jQuery.inArray(val.market, arr)!==-1)
        {
          $('.main3-btc-market > ul').append('<li><b>$'+Math.round(val.price*100)/100+'</b><span>'+val.market+'</span></li>');
        }
      });
    }
    );

  $(document).on('click focus','.more-stat-tabs ul > li', function()
  {
    var $this=$(this);
    $('.more-stat-tabs ul > li').removeClass('active');
    $this.addClass('active');
    var num = $(this).attr('rel');
    console.log(num);
    $('.box-more-stat-inset').removeClass('num-1').removeClass('num-2').addClass('num-'+num);
    $('.box-more-stat-inset > div').slideUp('400', function() {});
    $('.box-more-stat-inset > div.table-'+num).slideDown('400', function() {});
  });


  $(document).on('click','.box-modal',function(event) {
    $this=$(this);
    $('.wrap').remove();
    $('#wrapper').addClass('grey');
    var style=$this.data('style');
    var url=$this.attr('href');
        //var active=$this.data('active');
        $('.wrap').animate({'opacity':'0'},200).remove();
        if (style==undefined)
        {
          style='';
        }

        if (url==undefined)
        {
          var block=$this.attr('rel');
          var inner=$('#'+block).html();

          var inner_size=$this.data('width');
        }
        else
        {
          var inner='';
          var inner_size=$this.data('width');
        }

        var html="<div class='wrap' style='opacity:0;'  >"+
        "<div class='modal_block animated zoomIn ui-widget-content "+style+"' >"+
        "<div class='inset' style='width:"+inner_size+"px; '><div class='close'><span></span></div><div>"+
        inner+
        "</div></div>"+
        "</div>"+
        "</div>";
        $('body').prepend(html);
        if (url!=undefined)
        {
          $('.wrap').delay(1000).css({'opacity':'1','filter':'alpha(opacity=100)'});
          $(".modal_block > .inner").load(url,function() {
          });
        }
        else {
          $('.wrap').delay(1000).css({'opacity':'1','filter':'alpha(opacity=100)'});
        }




        var now = new Date(); 
        var tomorrow = addDays(new Date(), 1);
        var nextWeek = addDays(new Date(), 45);
        


        var $container = $('.modal_block .graph');
        window.chart = new Highcharts.Chart({
          chart: {
            renderTo: $container[0],
            type: 'areaspline',
            zoomType: 'x',
            backgroundColor:'rgba(255,255,255,0)',
            style: {
              fontFamily: "'Raleway', serif"
            }
          },
          title: {
            text: null
          },
          credits: {
            enabled: false
          },
          xAxis: {
            type: 'datetime',

                    dateTimeLabelFormats: { // don't display the dummy year


                  },
                  title: {
                    text: null
                  },
                  labels: {
                    rotation: 0,
                    style: {
                      fontSize: '11px',
                    }
                  },
                  gridLineColor: "rgba(145, 156, 174, 0.2)",
                  gridLineDashStyle:'Solid',
                  gridLineWidth:1
                },

                yAxis: {
                  title: {
                    text: ''
                  },
                  min: 0,
                  gridLineColor: "rgba(145, 156, 174, 0.2)",
                  gridLineDashStyle:'Solid',
                  gridLineWidth:1
                },
                plotOptions: {
                  areaspline: 
                  {
                    fillColor: 
                    {
                      linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1},
                      stops: [
                      [0, 'rgba(79,72,76,0)'],
                      [1, 'rgba(79,72,76,0)']
                      ]
                    },
                    marker: 
                    {
                      enabled: true
                    }
                  }
                },
                series: [{
                  name: 'actual profit',
                  color: '#dc6a6a',
                  data: [
                  [Date.UTC(tomorrow.getUTCFullYear(), tomorrow.getUTCMonth(), tomorrow.getUTCDate()),0.6],
                  [Date.UTC(nextWeek.getUTCFullYear(), nextWeek.getUTCMonth(), nextWeek.getUTCDate()),27]
                  
                  ]        
                }]
              });
        

        event.preventDefault();






        /* Act on the event */
      });

$(document).on('keypress, keydown', function(event)
{
  var show=$(this).find('.wrap')[0];
  if (show!=undefined)
  {
    var code = event.keyCode ? event.keyCode : event.which;
    if (code==27)
    {
      $('.modal_block').removeClass('zoomIn').addClass('zoomOut');
      $('.wrap').fadeOut('1000');
      $('#wrapper').removeClass('grey');

    }
  }
});

$(document).on('click','.close', function(event)
{
  $('.modal_block').removeClass('zoomIn').addClass('zoomOut');
  $('.wrap').fadeOut('1000');
  $('#wrapper').removeClass('grey');
});




function addDays(dateObj, numDays) {
 dateObj.setDate(dateObj.getDate() + numDays);
 return dateObj;
}


});
























