$(function(){


	$(document).on('change keyup','.amount-field', function(){
			var amount=Number($(this).val()*Math.pow(10, 2))/Math.pow(10, 2);
			var plan=$('.header-plan-select > li.active').attr('rel');
			var data = sw(plan);
			if (amount>data.max) 
			{
				amount=data.max;
				$(this).val(amount);
			}
			calc(data, amount);
	}).on('keypress','.amount-field', isNumber);

	$(document).on('change keyup','.amount-field1', function(){
		var amount=Number($(this).val()*Math.pow(10, 2))/Math.pow(10, 2);
		var plan=$('.header-plan-select > li.active').attr('rel');
		var data = sw(plan);
		if (amount>data.max) 
		{
			amount=data.max;
			$(this).val(amount);
		}
		calc(data, amount);
	}).on('keypress','.amount-field1', isNumber);


	$(document).on('click', '.header-plan-select-calc > li', function(event) {
		var plan=$(this).attr('rel');
		$('.header-plan-select-calc > li').removeClass('active');
		$(this).addClass('active');
		data = sw(plan);
		$('.amount-field').val(data.min);
		calc(data, data.min);
	});


	$(document).on('click', '.header-plan-select-deposit > li', function(event) {
		var plan=$(this).attr('rel');
		$('.header-plan-select-deposit > li').removeClass('active');
		$(this).addClass('active');
		data = sw(plan);
		console.log(plan);
		$('#plan_id_'+plan).prop({'checked': 'checked'});
		$('.amount-field1').val(data.min);
		calc(data, data.min);
	});

	

	function isNumber(event) 
	{
		var charCode = (event.which) ? event.which : event.keyCode;
		if (charCode==46) return true;
		if (charCode > 31 && (charCode < 48 || charCode > 57))
			return false;
		return true;
	}
	function sw(plan)
	{
		data=[];
		data.min=10;
		data.max=10000;
		data.duration=1;
		switch (plan) {
			case '1':
				data.min=10;
				data.max=100;
				data.duration=1;
				data.percent=10;
			break;
			case '2':
				data.min=101;
				data.max=1000;
				data.duration=1;
				data.percent=30;
			break;
			case '3':
				data.min=1001;
				data.max=10000;
				data.duration=1;
				data.percent=50;
			break;
		}
		return data;
	}
	
	function calc(data, amount) 
	{
		if (jQuery.isEmptyObject(data))
		{
			data = sw();
			amount = data.min;
			calculate(amount,data.percent,data.plan,data.duration);
		}
		calculate(amount,data.percent,data.plan, data.duration);
	}
	function calculate(amount,percent,plan,duration)
	{
		
		var sum=Number(amount);
		var duration=Number(duration);
		var prof=Number(percent);
		var result_daily_value=pow((sum)*prof/100,2);
		var result_weekly_value=pow((sum)*duration*prof/100,2);
		
		$('.daily-val').html(result_daily_value);
		$('.weekly-val').html(result_weekly_value);
		
		var tomorrow = addDays(new Date(), 1);
        var nextDate = addDays(new Date(), duration);
		chart.series[0].setData([
			[Date.UTC(tomorrow.getUTCFullYear(), tomorrow.getUTCMonth(), tomorrow.getUTCDate()),result_daily_value],
            [Date.UTC(nextDate.getUTCFullYear(), nextDate.getUTCMonth(), nextDate.getUTCDate()),result_weekly_value]
            ]);
	}
	function pow(amount,pow)
	{
		return Math.round(amount*Math.pow(10, pow)).toFixed(0)/Math.pow(10, pow);
	}

	function addDays(dateObj, numDays) {
     	dateObj.setDate(dateObj.getDate() + numDays);
     	return dateObj;
  	}



});

